Subject: bug#19452: closed (Re: bug#19452: status?)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Dec 2016 09:56:02 +0000

Your bug report

#19452: 24.4; sql-connect fails in first invocation: "Attempt to set a constant symbol: nil"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19452: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19452
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19452: status?
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 02 Dec 2016 11:55:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 29 Nov 2016 22:01:42 +0100
> From: [email-masked]
> 
> Just wondering why it's still not fixed.
> Incorrect patch?

Thanks for the reminder, I pushed the patch to the master branch.

Subject: 24.4; sql-connect fails in first invocation: "Attempt to set a constant symbol: nil"
From: JuanLeon Lahoz <[email-masked]>
To: [email-masked]
Date: Sat, 27 Dec 2014 07:45:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

First time in an emacs session I call interactively to sql-connect,
after I am prompted with the "Connection: " to use, emacs fails to
process the request with:

    eval: Attempt to set a constant symbol: nil

Subsequent invocations of the comman works fine

I can reproduce with emacs -Q, evalling this:

    (setq sql-connection-alist
           '(("foo"
              (sql-product  'mysql)
              (sql-database "foo")
              (sql-server   "localhost")
              (sql-user     "foo")
              (sql-password ""))))

And doing M-x sql-connect, then typing "foo" at the prompt.

I tried to use foo, instead of "foo" in the variable definition.  It is
the same.

If this is a bug, I would be happy to test a patch.

Thanks
juanleon

In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2014-12-26 on malaz
Windowing system distributor `The X.Org Foundation', version 11.0.11406000
System Description:    Ubuntu 12.04.5 LTS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: SQLi[MySQL]

Minor modes in effect:
  popwin-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-auto-complete-mode: t
  shell-dirtrack-mode: t
  projectile-global-mode: t
  projectile-mode: t
  back-button-mode: t
  flx-ido-mode: t
  ido-everywhere: t
  global-yascroll-bar-mode: t
  yascroll-bar-mode: t
  winner-mode: t
  show-paren-mode: t
  auto-image-file-mode: t
  recentf-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t